org.apache.lucene.analysis.ngram

## Class Lucene43EdgeNGramTokenizer

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.Tokenizer
      - - org.apache.lucene.analysis.ngram.Lucene43EdgeNGramTokenizer

- All Implemented Interfaces:
    Closeable, AutoCloseable

  Deprecated.

      @Deprecated
      public final class Lucene43EdgeNGramTokenizer
      extends Tokenizer

  Old version of `EdgeNGramTokenizer` which doesn't handle correctly supplementary characters.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Lucene43EdgeNGramTokenizer.Side` Deprecated. Specifies which side of the input the n-gram should be generated from

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_GRAM_SIZE` Deprecated.
    `static int` | `DEFAULT_MIN_GRAM_SIZE` Deprecated.
    `static Lucene43EdgeNGramTokenizer.Side` | `DEFAULT_SIDE` Deprecated.

    - ### Fields inherited from class org.apache.lucene.analysis.Tokenizer

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene43EdgeNGramTokenizer(AttributeFactory factory, int minGram, int maxGram)` Deprecated. Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
    `Lucene43EdgeNGramTokenizer(AttributeFactory factory, Lucene43EdgeNGramTokenizer.Side side, int minGram, int maxGram)` Deprecated. Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
    `Lucene43EdgeNGramTokenizer(AttributeFactory factory, String sideLabel, int minGram, int maxGram)` Deprecated. Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
    `Lucene43EdgeNGramTokenizer(int minGram, int maxGram)` Deprecated. Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
    `Lucene43EdgeNGramTokenizer(Lucene43EdgeNGramTokenizer.Side side, int minGram, int maxGram)` Deprecated. Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
    `Lucene43EdgeNGramTokenizer(String sideLabel, int minGram, int maxGram)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end()` Deprecated.
    `boolean` | `incrementToken()` Deprecated. Returns the next token in the stream, or null at EOS.
    `void` | `reset()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.analysis.Tokenizer

      `close, correctOffset, setReader`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SIDE

          public static final Lucene43EdgeNGramTokenizer.Side DEFAULT_SIDE

      Deprecated.

    - #### DEFAULT_MAX_GRAM_SIZE

          public static final int DEFAULT_MAX_GRAM_SIZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_GRAM_SIZE

          public static final int DEFAULT_MIN_GRAM_SIZE

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Lucene43EdgeNGramTokenizer

          public Lucene43EdgeNGramTokenizer(Lucene43EdgeNGramTokenizer.Side side,
                                    int minGram,
                                    int maxGram)

      Deprecated.
      Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
      Parameters:
        `side` - the `Lucene43EdgeNGramTokenizer.Side` from which to chop off an n-gram
        `minGram` - the smallest n-gram to generate
        `maxGram` - the largest n-gram to generate

    - #### Lucene43EdgeNGramTokenizer

          public Lucene43EdgeNGramTokenizer(AttributeFactory factory,
                                    Lucene43EdgeNGramTokenizer.Side side,
                                    int minGram,
                                    int maxGram)

      Deprecated.
      Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
      Parameters:
        `factory` - `AttributeFactory` to use
        `side` - the `Lucene43EdgeNGramTokenizer.Side` from which to chop off an n-gram
        `minGram` - the smallest n-gram to generate
        `maxGram` - the largest n-gram to generate

    - #### Lucene43EdgeNGramTokenizer

          public Lucene43EdgeNGramTokenizer(AttributeFactory factory,
                                    String sideLabel,
                                    int minGram,
                                    int maxGram)

      Deprecated.
      Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
      Parameters:
        `factory` - `AttributeFactory` to use
        `sideLabel` - the `Lucene43EdgeNGramTokenizer.Side` from which to chop off an n-gram
        `minGram` - the smallest n-gram to generate
        `maxGram` - the largest n-gram to generate

    - #### Lucene43EdgeNGramTokenizer

          public Lucene43EdgeNGramTokenizer(int minGram,
                                    int maxGram)

      Deprecated.
      Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
      Parameters:
        `minGram` - the smallest n-gram to generate
        `maxGram` - the largest n-gram to generate

    - #### Lucene43EdgeNGramTokenizer

          @Deprecated
          public Lucene43EdgeNGramTokenizer(String sideLabel,
                                               int minGram,
                                               int maxGram)

      Deprecated.
      Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
      Parameters:
        `sideLabel` - the name of the `Lucene43EdgeNGramTokenizer.Side` from which to chop off an n-gram
        `minGram` - the smallest n-gram to generate
        `maxGram` - the largest n-gram to generate

    - #### Lucene43EdgeNGramTokenizer

          public Lucene43EdgeNGramTokenizer(AttributeFactory factory,
                                    int minGram,
                                    int maxGram)

      Deprecated.
      Creates EdgeNGramTokenizer that can generate n-grams in the sizes of the given range
      Parameters:
        `factory` - `AttributeFactory` to use
        `minGram` - the smallest n-gram to generate
        `maxGram` - the largest n-gram to generate

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Deprecated.
      Returns the next token in the stream, or null at EOS.
      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### end

          public void end()
                   throws IOException

      Deprecated.
      Overrides:
        `end` in class `TokenStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Deprecated.
      Overrides:
        `reset` in class `Tokenizer`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.